Bug 365791 - nm-applet gives no feedback if NetworkManager is not running
nm-applet gives no feedback if NetworkManager is not running
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-04 08:55 EST by Neal Becker
Modified: 2008-09-29 22:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-29 22:43:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-11-04 08:55:05 EST
Description of problem:

If I start nm-applet but NM isn't running, I get no feedback about the 
problem.  The nm-applet icon is not displayed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dan Williams 2007-12-03 12:19:24 EST
this is sort of by design...  what would you expect to happen?  show the
disconnected icon?  part of the problem is that there isn't a good way to launch
the applet when NM is running because one is a root process, and the other is a
user process.  So when nm-applet is installed, it runs all the time, but hides
itself when NM isn't running.  That way people who want to disable
NetworkManager don't have to look at the applet.  I don't really see a good way
of ensuring that people who don't use NetworkManager don't get annoyed by the
applet, but also ensure that everything will just work when installing a box and
wanting to use NM.
Comment 2 Bug Zapper 2008-04-04 10:24:44 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Dan Williams 2008-09-29 22:43:30 EDT
closing due to inactivity

Note You need to log in before you can comment on or make changes to this bug.